/* eslint prefer-named-capture-group: "off" */
const newlines = /\n/g;
const separators = /\s*([\{\};])\s*/g;
const lastProp = /;\s*(\})/g;
const extraSpaces = /\s\s+/g;
const endingSpaces = / ?\s+$/g;

export function transformCSSFragment(data) {
  // newlines
  data = data.replace(newlines, '');
  // Remove extra space, but not too much
  data = data.replace(separators, '$1');
  // Remove semicolons followed by property list end
  data = data.replace(lastProp, '$1');
  // space might be between property values or between selectors
  data = data.replace(endingSpaces, ' ');
  return data.replace(extraSpaces, ' ');
}
